<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>T54.4 - zastosowanie funkcji</title>
    <link rel="stylesheet" href="../style.css">
</head>
<body>
<header>
    <h1>Zadanie T54.4</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
<p>
    Zadanie T544 <br><br>

    Napisz funkcję, która będzie przyjmowała dwa argumenty liczbowe i będzie wypisywała mniejszą z nich w kolorze zielonym, a większą w czerwonym. W przypadku podania liczb jednakowych obie należy wyświetlić w kolorze niebieskim.
</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="a">Wprowadź liczbę a: </label><br>
        <input type="number" name="a" id="a"><br>
        <label for="b">Wprowadź liczbę b:</label><br>
        <input type="number" name="b" id="b"><br>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
function wypiszMniejsza($a, $b) {
    if ($a < $b) {
        echo "<span style='color: green'>$a</span><br>";
        echo "<span style='color: red'>$b</span>";
    } elseif ($a > $b) {
        echo "<span style='color: green'>$b</span><br>";
        echo "<span style='color: red'>$a</span>";
    } else {
        echo "<span style='color: blue'>$a</span><br>";
        echo "<span style='color: blue'>$b</span>";
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $a = $_POST['a'];
    $b = $_POST['b'];
    echo "<div class='box'>";
    wypiszMniejsza($a, $b);
    echo "</div>";
}
?>
</body>
</html>